Tasuku
ReferenceAPI referenceDeep scans

Return one deep scan and its report

GET/organizations/{organization_id}/deep-scans/{run_id}

Authorization

tasuku_session<token>

In: cookie

Path Parameters

organization_id*string
Length1 <= length <= 128
run_id*string
Length1 <= length <= 128

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/organizations/string/deep-scans/string"
{  "data": {    "activity": [      {        "category": "string",        "detail": "string",        "id": "string",        "occurred_at": "string",        "run_id": "string",        "sequence": 1,        "status": "RUNNING",        "technical_detail": "string",        "title": "string",        "tool": "string",        "tool_input": "string",        "updated_at": "string"      }    ],    "completion_status": "COMPLETE",    "created_at": "string",    "decision_counts": {      "accepted": 0,      "pending": 0,      "rejected": 0    },    "dependency_audit_retries": [      {        "created_at": "string",        "current_phase": "string",        "error_message": "string",        "finished_at": "string",        "id": "string",        "model": "string",        "model_variant": "string",        "provider": "string",        "reasoning_effort": "string",        "started_at": "string",        "status": "string",        "updated_at": "string",        "usage": {          "property1": null,          "property2": null        },        "workflow_type": "string"      }    ],    "error_code": "string",    "error_message": "string",    "finding_count": 0,    "finished_at": "string",    "fix_work_item_id": "string",    "head_sha": "string",    "id": "string",    "model": "string",    "provider": "string",    "report": {      "completion_status": "COMPLETE",      "confidence": 0,      "coverage": [        {          "category": "CORRECTNESS",          "evidence": "string",          "status": "PASS"        }      ],      "dependency_audit": {        "finding_count": 0,        "gap": "string",        "status": "PASS",        "tool": "string",        "version": "string"      },      "risk_level": "LOW",      "summary": "string"    },    "repository": {      "id": "string",      "name": "string",      "owner": "string"    },    "risk_level": "LOW",    "run": {      "created_at": "string",      "current_phase": "string",      "error_message": "string",      "finished_at": "string",      "id": "string",      "model": "string",      "model_variant": "string",      "provider": "string",      "reasoning_effort": "string",      "started_at": "string",      "status": "string",      "updated_at": "string",      "usage": {        "property1": null,        "property2": null      },      "workflow_type": "string"    },    "started_at": "string",    "status": "string",    "summary": "string"  }}